import { 
  select,json,geoMercator,geoPath,zoom,event,scaleOrdinal,schemeCategory10
  } from 'd3'; 
import { feature } from 'topojson';
// height and width  of svg
const svg = select('svg');
const width = window.innerWidth;
const height = window.innerHeight;
// Heading of the map
const HeaderText = "India Map";
svg.append('text').attr('y',50).attr('x',150).text(HeaderText).attr('class',"Header");
// Name of projection used
const projection = geoMercator().translate([100,185]).scale([50])
const pathGen = geoPath(projection)
const colorScale = scaleOrdinal(schemeCategory10); //schemecategory10 method to fill colors
// linking to data from gistgithub
json('https://raw.githubusercontent.com/wmgeolab/geoBoundaries/6b1d1e655cc4d67c9bbbc86fd0d53cffbfcf3641/releaseData/gbOpen/KAZ/ADM0/geoBoundaries-KAZ-ADM0.topojson')
  .then(data => {
// Parsing of data 
const india = feature(data,data.objects.india)
 // Constructing a map with features data
svg.selectAll('path').data(india.features)
    	.enter().append('path')
    			.attr('class', 'country')// Created class of country
  				.attr('fill', (d) => colorScale(d.interpolateRainbow))
  				 .attr('d', (d) => pathGen(d))
  					.append('title')
  					.text((d) => d.interpolateRainbow);
});
 

  
 


 
